Bug 800578 - SELinux is preventing /sbin/killall5 from 'getattr' accesses on the file /home/ahmed/.dropbox-dist/dropbox.
SELinux is preventing /sbin/killall5 from 'getattr' accesses on the file /hom...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b6b94dc724094cca91052037d80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 13:33 EST by mamii
Modified: 2012-03-23 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mamii 2012-03-06 13:33:12 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-1.fc16.x86_64
reason:         SELinux is preventing /sbin/killall5 from 'getattr' accesses on the file /home/ahmed/.dropbox-dist/dropbox.
time:           Tue 06 Mar 2012 07:32:53 PM CET

description:
:SELinux is preventing /sbin/killall5 from 'getattr' accesses on the file /home/ahmed/.dropbox-dist/dropbox.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that killall5 should be allowed getattr access on the dropbox file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pidof /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                /home/ahmed/.dropbox-dist/dropbox [ file ]
:Source                        pidof
:Source Path                   /sbin/killall5
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           sysvinit-tools-2.88-5.dsf.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb 21
:                              01:40:47 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Sun 19 Feb 2012 09:49:03 PM CET
:Last Seen                     Tue 28 Feb 2012 08:42:03 PM CET
:Local ID                      0e12954b-b37f-49ee-9a0c-a70d9c58cd49
:
:Raw Audit Messages
:type=AVC msg=audit(1330458123.901:87): avc:  denied  { getattr } for  pid=3283 comm="pidof" path="/home/ahmed/.dropbox-dist/dropbox" dev=dm-1 ino=1614883 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1330458123.901:87): arch=x86_64 syscall=stat success=yes exit=0 a0=7fff7389fee0 a1=7fff7389fe40 a2=7fff7389fe40 a3=0 items=0 ppid=3282 pid=3283 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm=pidof exe=/sbin/killall5 subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pidof,logrotate_t,user_home_t,file,getattr
:
:audit2allow
:
:#============= logrotate_t ==============
:allow logrotate_t user_home_t:file getattr;
:
:audit2allow -R
:
:#============= logrotate_t ==============
:allow logrotate_t user_home_t:file getattr;
:
Comment 1 Daniel Walsh 2012-03-06 14:36:26 EST
You can ignore this.  Miroslav, I am adding

userdom_dontaudit_getattr_user_home_content(logrotate_t)


to F17.
Comment 2 Fedora Update System 2012-03-13 08:26:12 EDT
selinux-policy-3.10.0-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
Comment 3 Fedora Update System 2012-03-20 22:25:22 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-23 20:37:31 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.